# List clusters

**GET /v1/clusters**

List Redpanda clusters. The `filter.` query string parameters find matching clusters that meet all specified conditions. Note: This endpoint does not return `dataplane_api.url`. Use the Get Cluster endpoint to retrieve a cluster's Data Plane API URL.


## Servers
- Control Plane API: https://api.redpanda.com (Control Plane API)


## Authentication methods
- Auth0


## Parameters


### Query parameters
- **filter.resource_group_id** (string)
  Resource group ID.
- **filter.name_contains** (string)
  Name of cluster.
- **filter.region** (string)
  Cloud provider region.
- **filter.cloud_provider** (string)
  Cloud provider.
- **filter.network_id** (string)
  Network ID.
- **page_size** (integer(int32))
  Limit the paginated response to a number of items.
- **page_token** (string)
  Value of the `next_page_token` field returned by the previous response. If not provided, the system assumes the first page is requested.


## Responses
### 200
OK

#### Body: application/json (object)
- **clusters** (array[object])
  Clusters matching the request.
- **next_page_token** (string)
  Page token to fetch the next page. The value can be used as `next_page_token` in the next call to this endpoint.

### 500
Internal Server Error. Please reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
